ERPNext.com Frappe Cloud Support Partners Foundation Frappe School

V13 develop branch + demo data instance?

did
bench switch-to-develop
bench drop-site mysite
bench --site mysite reinstall

trying to install the demo-data for training and development purposes fails.

is this supposed to work?

bench --site mysite execute erpnext.demo.demo.make

`frappe.exceptions.MandatoryError: [POS Profile, Demo POS Profile]: warehouse`
<and>
  `File "/usr/lib/python3.8/runpy.py", line 194, in _run_module_as_main`
<cut>
   `NameError: name 'erpnext' is not defined`
3 Likes

ping, really wanna try the new UX, but with demo data so we can see some graphs :slight_smile:

anyone? :slight_smile:

bench --site mysite execute erpnext.demo.demo.make still broken with v13 official

1 Like

Also need help here. The error actually originates here for me:

pymysql.err.OperationalError: (2013, 'Lost connection to MySQL server during query')

Has anyone had any luck with this? or do we need to do some coding to make this work?

We’re getting an identical error @raveslave

frappe.exceptions.MandatoryError: [POS Profile, Demo POS Profile]: warehouse
During handling of the above exception, another exception occurred:
NameError: name 'erpnext' is not defined

Would love to have a demo dataset!

With Version 12, it was possible to make a test site as follows:

bench new-site <siteName>
bench --site <siteName> install-app erpnext
bench --site <siteName> set-config allow_tests true
bench --site <siteName> run-tests --app erpnext

YMMV with 13.

Cheers @smino, after a long run of tests I encountered a throttle error. The resulting install was full of things so good to see. A lot of the items were very testing related so not a great real world example.

Not too bad. Thank you!